Bug 28594 - Provide a way to set default timeouts as expected
Provide a way to set default timeouts as expected
Status: CLOSED FIXED
Product: qa
Classification: Unclassified
Component: Jellytools
3.x
All All
: P1 (vote)
: TBD
Assigned To: issues@qa
issues@qa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-08 14:51 UTC by Marian Mirilovic
Modified: 2002-12-04 11:00 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
list of related timeouts (1.77 KB, text/plain)
2002-11-11 15:36 UTC, Jiri Skrivanek
Details
Estimation of jelly timeouts. (1.25 KB, text/plain)
2002-11-19 11:46 UTC, Jiri Skrivanek
Details
default jellytools timeouts (1.25 KB, text/plain)
2002-12-03 12:10 UTC, Jiri Skrivanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2002-11-08 14:51:59 UTC
Jemmy timeouts have changed (see issue 27160) to
default 60 s, it prolong not only timeouts, but
the test runtime too!

It would be very useful to have something like
default timeouts, that should be easy to set on
the start each of test. 

It would be nice to have default timeouts set on
the performance requests :
http://performance.netbeans.org/responsiveness/issues.html, 
not exactly the same time, but for example 10
times more (limit 0.1 s -> timeout 1 s, ...)
Comment 1 Jiri Skrivanek 2002-11-11 15:34:20 UTC
If this is an issue for thousands os tests executed at once, we can
try to load a customized set of timeouts by JellyTestCase. I am
attaching a list of timeouts. Can someone suggest values for
particular timeouts? I already did - 60000 :-)
Comment 2 Jiri Skrivanek 2002-11-11 15:36:26 UTC
Created attachment 7908 [details]
list of related timeouts
Comment 3 Jiri Skrivanek 2002-11-19 11:46:25 UTC
Created attachment 7988 [details]
Estimation of jelly timeouts.
Comment 4 Jiri Skrivanek 2002-12-03 12:09:03 UTC
Implemented proposal of Alexandre Iline: 

--- snip ----
In the JellyTestCase there is be an opportunity to load timeout values
from file defined from outside through system properties (which could
be set in xtest's xml files). We have two properties:
jelly.timeouts_file (to load from file) and jelly.timeouts_resource
(to load by classloader). jelly.timeouts_resource value has bigger
priority. 

_Before_ reading timeouts from either of those variables,
JellyTestCase takes timeout values from default timeouts resource
which could be, for example, "org/netbeams/jellytools/timeouts". This
will aloow users to specify only those timeouts which are different
from Jelly defaults.
-------

As default jellytools timeouts was used a set where maximum is 30 s.
See attachment.
Comment 5 Jiri Skrivanek 2002-12-03 12:10:54 UTC
Created attachment 8140 [details]
default jellytools timeouts
Comment 6 Marian Mirilovic 2002-12-04 10:54:39 UTC
verified,

it seems like this way saves about 1 hour on each test machine , good
job guys.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo